/*
 * Created on 18.09.2014
 */
package test;

import java.io.Writer;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.as.server.CurrentServiceContainer;
import org.jboss.msc.service.ServiceController;

@WebServlet(value = "/test")
public class MyServlet extends HttpServlet
{
	private static final long serialVersionUID = -8065608062546372465L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
	{
		try
		{
			ServiceController<?> sc = CurrentServiceContainer.getServiceContainer().getService(
				MySingletonService.SERVICE_NAME);
			MySingletonService mySingletonService = (MySingletonService) sc.getService();
			String oldName = mySingletonService.getName();
			String name = req.getQueryString();
			if (name == null || name.length() == 0)
			{
				name = "app-1";
			}
			mySingletonService.setName(name);
			mySingletonService.greet();
			Writer writer = resp.getWriter();
			writer.write("Bye " + oldName + "\n");
			writer.write("Hi " + mySingletonService.getName());
			writer.close();
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
