/*
 * Created on 18.09.2014
 */
package test;

import org.jboss.logging.Logger;
import org.jboss.msc.service.ServiceActivator;
import org.jboss.msc.service.ServiceActivatorContext;
import org.jboss.msc.service.ServiceRegistryException;

public class MyServiceActivator implements ServiceActivator
{
	private static final Logger logger = Logger.getLogger(MyServiceActivator.class);

	@Override
	public void activate(ServiceActivatorContext context) throws ServiceRegistryException
	{
		MyServiceEnvironment myServiceEnv = new MyServiceEnvironment("none");
		myServiceEnv.setName("test");
		MySingletonService myService = new MySingletonService(myServiceEnv);

		context.getServiceTarget().addService(MySingletonService.SERVICE_NAME, myService).install();
		logger.info("MyServiceActivator activated");
	}
}
